#include<stm32f401xc.h>
#include "delay.h"





void Delay_us (uint16_t us)
{
	

	TIM10->CR1 |= (1<<0); // Enable the Counter
	while (!(TIM10->SR & (1<<0)));  // UIF: Update interrupt flag..  This bit is set by hardware when the registers are updated
	TIM10->CNT = 0;
	while (TIM10->CNT < us);
}

void Delay_ms (uint16_t ms)
{
	for (uint16_t i=0; i<ms; i++)
	{
		Delay_us (1000); // delay of 1 ms
	}
}
void Delay_init(void)
{
	RCC->APB2ENR |= RCC_APB2ENR_SYSCFGEN | RCC_APB2ENR_TIM10EN; //SYSCFG clock enable/timer10 for delay
	
	TIM10->PSC = 84-1;  // 84MHz/84 = 1 MHz ~~ 1 uS delay
	TIM10->ARR = 0xffff;  // MAX ARR value		
	
}