#include <stdint.h>
#include "gpio.h"
//--------------------------------------------------------------------------



#define SCR_WD  84
#define SCR_HT  48

#define ALIGN_LEFT    0
#define ALIGN_RIGHT  -1 
#define ALIGN_CENTER -2 




	//------------------------------------------------------------------------

// PCD8544 Commandset
// ------------------
// General commands
#define PCD8544_POWERDOWN         0x04
#define PCD8544_ENTRYMODE         0x02
#define PCD8544_EXTINSTRUCTION    0x01
#define PCD8544_DISPLAYBLANK      0x00
#define PCD8544_DISPLAYNORMAL     0x04
#define PCD8544_DISPLAYALLON      0x01
#define PCD8544_DISPLAYINVERTED   0x05
// Normal instruction set
#define PCD8544_FUNCTIONSET       0x20
#define PCD8544_DISPLAYCONTROL    0x08
#define PCD8544_SETYADDR          0x40
#define PCD8544_SETXADDR          0x80
// Extended instruction set
#define PCD8544_SETTEMP           0x04
#define PCD8544_SETBIAS           0x10
#define PCD8544_SETVOP            0x80
// Display presets
#define DEFAULT_BIAS              0x04 // 0-7 0x03?
#define DEFAULT_TEMP              0x00 // 0-3 0x02?
#define DEFAULT_CONTRAST          0x30 // 0-127 0x46?

static uint16_t MOSI=PIN('B',15);
static uint16_t SLK=PIN('B',13);
static uint16_t CS=PIN('B',14);
static uint16_t DC=PIN('B',12);
static uint16_t RESET=PIN('B',10);


uint8_t spi2_transfer(uint8_t d);
void glcd_cmd(uint8_t cmd);
void glcd_data(uint8_t data);
void glcd_init(void);
void glcd_clear(void);
void glcd_setcontrast(uint8_t contrast);
//------------------------------------------------------------------
int max(int a, int b);
void N5110_setFont(const uint8_t* f);
int N5110_printChar(int x, uint8_t row, uint8_t _ch);
void gotoXY(uint8_t x, uint8_t y);
bool N5110_isNumber(uint8_t ch);
